﻿SELECT      
	SUPPLIER_CD,
	SUPPLIER_PLANT,
	SUPPLIER_PLANT_CD=SUPPLIER_CD+'-'+SUPPLIER_PLANT, 
	DOCK_CD,
	PART_NO=LEFT([PART_NO],5)+'-'+SUBSTRING([PART_NO],6,5)+'-'+RIGHT([PART_NO],2),  
	ISNULL(NULLIF(PART_NAME, ''), ' ') as PART_NAME,
	ISNULL(NULLIF(KANBAN_NO, ''), ' ') as KANBAN_NO,
	QTY_PER_CONTAINER,
	ORDER_QTY,
	PIECES_QTY,
	KANBAN_PRINT_ADDRESS,
	IMPORTIR_INFO=ISNULL(IMPORTIR_INFO,''),
	IMPORTIR_INFO2=ISNULL(IMPORTIR_INFO2,''),
	IMPORTIR_INFO3=ISNULL(IMPORTIR_INFO3,''),
	IMPORTIR_INFO4=ISNULL(IMPORTIR_INFO4,''),
	--CASE WHEN PART_BARCODE BETWEEN CONVERT(BIGINT, '1') AND CONVERT(BIGINT, '100') THEN '' ELSE PART_BARCODE END PART_BARCODE,
	CASE		  
        WHEN DOCK_CD IN ('1H','1J','1K','1L','1M','1N','1Q','1U','1V','1W','1X','1Y','1Z','1R') THEN PART_BARCODE            
        WHEN PART_BARCODE BETWEEN CONVERT(BIGINT, '1') AND CONVERT(BIGINT, '100') THEN ''          
    END PART_BARCODE,
	PROGRESS_LANE_NO,
	CONVEYANCE_NO,
	--CONVERT(VARCHAR,PROD_DATE, 104) PROD_DATE
	PROD_DATE
FROM TB_T_CED_EMERGENCY_ORDER_PART
WHERE SessionID=@0 AND
	UserID=@1 AND
	(([SUPPLIER_CD]=@2 AND isnull(@2,'') <> '') or (isnull(@2,'') = ''))
	
	